Page MenuHomePhabricator

CirrusSearch: searching for Africa finds África but the UI doesn't behave quite right
Closed, DeclinedPublic

Description

Searching for Africa finds África but the UI doesn't behave quite right.

Create a page named "África" with any contents.
In prefix search box type "Affrica".
Expected:
The title África shows up and is highlighted
Actual:
The title África shows up but isn't highlighted

Then hit enter.
Expected:
You are taken to the África article.
Actual:
You are taken to the search results page.


Version: unspecified
Severity: normal

Details

Reference
bz52656

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 2:00 AM
bzimport added a project: CirrusSearch.
bzimport set Reference to bz52656.
bzimport added a subscriber: Unknown Object (MLST).

I'm not sure how big a problem this is and I'm not 100% sure where this will have to be fixed.

It'd be nice if the search backend were allowed to highlight the results like it can with the full text search. It'd also be nice if the search backend could mark the result as a perfect match to make the enter behaviour work.

https://gerrit.wikimedia.org/r/#/c/102958/ actually fixes the second half of this. The first half is still open.

demon removed a subscriber: demon.Aug 19 2015, 4:07 PM
Restricted Application added a project: Discovery. · View Herald TranscriptAug 19 2015, 4:07 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
TJones closed this task as Declined.Sep 17 2020, 3:51 PM
TJones added a subscriber: TJones.

The current expected behavior is that only exact matches (modulo upper/lowercase) are highlighted in the completion suggester suggestions. Searching for Affrica should not highlight África in the suggestion (nor would searching Africa).

There doesn't seem to be a problem with getting "Go" results when you press enter. Searching for àłbèrt éîñśtêïń brings up the page Albert Einstein.

(Which specific diacritics are ignored is language-dependent; diacrtics that are part of a language's alphabet may not be ignored.)

Restricted Application added a project: Discovery-Search. · View Herald TranscriptSep 17 2020, 3:51 PM